'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

var _cspaceRefname = require('cspace-refname');

var _formatHelpers = require('../../../helpers/formatHelpers');

exports.default = {
  default: [{
    name: 'conservationNumber',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.conservation.default.conservationNumber',
        'defaultMessage': 'Conservation number'
      }
    }),
    sortBy: 'conservation_common:conservationNumber',
    width: 250
  }, {
    name: 'status',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.conservation.default.status',
        'defaultMessage': 'Status'
      }
    }),
    formatValue: function formatValue(value) {
      return (0, _cspaceRefname.getDisplayName)(value);
    },
    sortBy: 'conservation_common:conservationStatusGroupList/conservationStatusGroup/0',
    width: 400
  }, {
    name: 'updatedAt',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.conservation.default.updatedAt',
        'defaultMessage': 'Updated'
      }
    }),
    formatValue: _formatHelpers.formatTimestamp,
    sortBy: 'collectionspace_core:updatedAt',
    width: 150
  }]
};