'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

exports.default = function (pluginContext) {
  var _sponsors, _organizers, _venueGroup, _venueGroupList, _exhibitionPersonGrou, _exhibitionPersonGrou2, _workingGroup, _workingGroupList, _galleryRotationGroup, _galleryRotationGroup2, _exhibitionReferenceG, _exhibitionReferenceG2, _exhibitionSectionGro, _exhibitionSectionGro2, _exhibitionStatusGrou, _exhibitionStatusGrou2, _exhibitionObjectGrou, _exhibitionObjectGrou2, _ns2Exhibitions_comm, _document;

  var _pluginContext$inputC = pluginContext.inputComponents,
      CompoundInput = _pluginContext$inputC.CompoundInput,
      DateInput = _pluginContext$inputC.DateInput,
      OptionPickerInput = _pluginContext$inputC.OptionPickerInput,
      TextInput = _pluginContext$inputC.TextInput,
      AutocompleteInput = _pluginContext$inputC.AutocompleteInput,
      IDGeneratorInput = _pluginContext$inputC.IDGeneratorInput,
      TermPickerInput = _pluginContext$inputC.TermPickerInput,
      StructuredDateInput = _pluginContext$inputC.StructuredDateInput;
  var config = pluginContext.configHelpers.configKey;
  var DATA_TYPE_DATETIME = pluginContext.dataTypes.DATA_TYPE_DATETIME;


  return {
    document: (_document = {}, _defineProperty(_document, config, {
      view: {
        type: CompoundInput,
        props: {
          defaultChildSubpath: 'ns2:exhibitions_common'
        }
      }
    }), _defineProperty(_document, 'ns2:collectionspace_core', {
      createdAt: _defineProperty({}, config, {
        dataType: DATA_TYPE_DATETIME,
        view: {
          type: DateInput
        }
      }),
      createdBy: _defineProperty({}, config, {
        view: {
          type: TextInput
        }
      }),
      updatedAt: _defineProperty({}, config, {
        dataType: DATA_TYPE_DATETIME,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionspace_core.updatedAt.name',
            'defaultMessage': 'Last updated time'
          }
        }),
        view: {
          type: DateInput
        }
      }),
      updatedBy: _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionspace_core.updatedBy.name',
            'defaultMessage': 'Last updated by'
          }
        }),
        view: {
          type: TextInput
        }
      })
    }), _defineProperty(_document, 'ns2:exhibitions_common', (_ns2Exhibitions_comm = {}, _defineProperty(_ns2Exhibitions_comm, config, {
      service: {
        ns: 'http://collectionspace.org/services/exhibition'
      }
    }), _defineProperty(_ns2Exhibitions_comm, 'exhibitionNumber', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionNumber.name',
          'defaultMessage': 'Exhibition number'
        }
      }),
      required: true,
      searchView: {
        type: TextInput
      },
      view: {
        type: IDGeneratorInput,
        props: {
          idGeneratorName: 'exhibition'
        }
      }
    })), _defineProperty(_ns2Exhibitions_comm, 'type', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.type.name',
          'defaultMessage': 'Exhibition type'
        }
      }),
      view: {
        type: TermPickerInput,
        props: {
          source: 'exhibitiontype'
        }
      }
    })), _defineProperty(_ns2Exhibitions_comm, 'title', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.title.name',
          'defaultMessage': 'Exhibition title'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_ns2Exhibitions_comm, 'sponsors', (_sponsors = {}, _defineProperty(_sponsors, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.sponsors.name',
          'defaultMessage': 'Sponsors'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_sponsors, 'sponsor', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        fullName: {
          'id': 'field.exhibitions_common.sponsor.fullName',
          'defaultMessage': 'Sponsor'
        }
      }),
      repeating: true,
      view: {
        type: AutocompleteInput,
        props: {
          source: 'person/local,person/shared,person/ulan,organization/local,organization/shared,organization/ulan'
        }
      }
    })), _sponsors)), _defineProperty(_ns2Exhibitions_comm, 'organizers', (_organizers = {}, _defineProperty(_organizers, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.organizers.name',
          'defaultMessage': 'Organizers'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_organizers, 'organizer', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        fullName: {
          'id': 'field.exhibitions_common.organizer.fullName',
          'defaultMessage': 'Organizer'
        }
      }),
      repeating: true,
      view: {
        type: AutocompleteInput,
        props: {
          source: 'person/local,person/shared,person/ulan,organization/local,organization/shared,organization/ulan'
        }
      }
    })), _organizers)), _defineProperty(_ns2Exhibitions_comm, 'venueGroupList', (_venueGroupList = {}, _defineProperty(_venueGroupList, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.venueGroupList.name',
          'defaultMessage': 'Venues'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_venueGroupList, 'venueGroup', (_venueGroup = {}, _defineProperty(_venueGroup, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_venueGroup, 'venue', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.venue.name',
          'defaultMessage': 'Venue'
        }
      }),
      view: {
        type: AutocompleteInput,
        props: {
          source: 'organization/local,organization/shared,organization/ulan,location/local,location/offsite,place/local,place/shared,place/tgn'
        }
      }
    })), _defineProperty(_venueGroup, 'venueOpeningDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.venueOpeningDate.name',
          'defaultMessage': 'Opening date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _defineProperty(_venueGroup, 'venueClosingDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.venueClosingDate.name',
          'defaultMessage': 'Closing date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _defineProperty(_venueGroup, 'venueAttendance', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.venueAttendance.name',
          'defaultMessage': 'Attendance'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_venueGroup, 'venueURL', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.venueURL.name',
          'defaultMessage': 'Web address'
        }
      }),
      view: {
        type: TextInput
      }
    })), _venueGroup)), _venueGroupList)), _defineProperty(_ns2Exhibitions_comm, 'workingGroupList', (_workingGroupList = {}, _defineProperty(_workingGroupList, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.workingGroupList.name',
          'defaultMessage': 'Exhibition working group'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_workingGroupList, 'workingGroup', (_workingGroup = {}, _defineProperty(_workingGroup, config, {
      repeating: true,
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_workingGroup, 'workingGroupTitle', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.workingGroupTitle.name',
          'defaultMessage': 'Working group title'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_workingGroup, 'workingGroupNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.workingGroupNote.name',
          'defaultMessage': 'Notes'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_workingGroup, 'exhibitionPersonGroupList', (_exhibitionPersonGrou2 = {}, _defineProperty(_exhibitionPersonGrou2, config, {
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_exhibitionPersonGrou2, 'exhibitionPersonGroup', (_exhibitionPersonGrou = {}, _defineProperty(_exhibitionPersonGrou, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_exhibitionPersonGrou, 'exhibitionPerson', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        fullName: {
          'id': 'field.exhibitions_common.exhibitionPerson.fullName',
          'defaultMessage': 'Working group person'
        },
        name: {
          'id': 'field.exhibitions_common.exhibitionPerson.name',
          'defaultMessage': 'Person'
        }
      }),
      view: {
        type: AutocompleteInput,
        props: {
          source: 'person/local,person/shared,person/ulan,organization/local,organization/shared,organization/ulan'
        }
      }
    })), _defineProperty(_exhibitionPersonGrou, 'exhibitionPersonRole', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionPersonRole.name',
          'defaultMessage': 'Role'
        }
      }),
      view: {
        type: TermPickerInput,
        props: {
          source: 'exhibitionpersonrole'
        }
      }
    })), _exhibitionPersonGrou)), _exhibitionPersonGrou2)), _workingGroup)), _workingGroupList)), _defineProperty(_ns2Exhibitions_comm, 'planningNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.planningNote.name',
          'defaultMessage': 'Planning notes'
        }
      }),
      view: {
        type: TextInput,
        props: {
          multiline: true
        }
      }
    })), _defineProperty(_ns2Exhibitions_comm, 'curatorialNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.curatorialNote.name',
          'defaultMessage': 'Curatorial notes'
        }
      }),
      view: {
        type: TextInput,
        props: {
          multiline: true
        }
      }
    })), _defineProperty(_ns2Exhibitions_comm, 'generalNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.generalNote.name',
          'defaultMessage': 'General notes'
        }
      }),
      view: {
        type: TextInput,
        props: {
          multiline: true
        }
      }
    })), _defineProperty(_ns2Exhibitions_comm, 'boilerplateText', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.boilerplateText.name',
          'defaultMessage': 'Boilerplate text'
        }
      }),
      view: {
        type: TextInput,
        props: {
          multiline: true
        }
      }
    })), _defineProperty(_ns2Exhibitions_comm, 'galleryRotationGroupList', (_galleryRotationGroup2 = {}, _defineProperty(_galleryRotationGroup2, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.galleryRotationGroupList.name',
          'defaultMessage': 'Gallery rotations'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_galleryRotationGroup2, 'galleryRotationGroup', (_galleryRotationGroup = {}, _defineProperty(_galleryRotationGroup, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_galleryRotationGroup, 'galleryRotationName', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.galleryRotationName.name',
          'defaultMessage': 'Rotation name'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_galleryRotationGroup, 'galleryRotationStartDateGroup', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.galleryRotationStartDateGroup.name',
          'defaultMessage': 'Start date'
        }
      }),
      view: {
        type: StructuredDateInput
      }
    })), _defineProperty(_galleryRotationGroup, 'galleryRotationEndDateGroup', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.galleryRotationEndDateGroup.name',
          'defaultMessage': 'End date'
        }
      }),
      view: {
        type: StructuredDateInput
      }
    })), _defineProperty(_galleryRotationGroup, 'galleryRotationNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.galleryRotationNote.name',
          'defaultMessage': 'Notes'
        }
      }),
      view: {
        type: TextInput
      }
    })), _galleryRotationGroup)), _galleryRotationGroup2)), _defineProperty(_ns2Exhibitions_comm, 'exhibitionReferenceGroupList', (_exhibitionReferenceG2 = {}, _defineProperty(_exhibitionReferenceG2, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionReferenceGroupList.name',
          'defaultMessage': 'Bibliographic references'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_exhibitionReferenceG2, 'exhibitionReferenceGroup', (_exhibitionReferenceG = {}, _defineProperty(_exhibitionReferenceG, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_exhibitionReferenceG, 'exhibitionReference', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionReference.name',
          'defaultMessage': 'Reference'
        }
      }),
      view: {
        type: AutocompleteInput,
        props: {
          source: 'citation/local,citation/shared,citation/worldcat'
        }
      }
    })), _defineProperty(_exhibitionReferenceG, 'exhibitionReferenceType', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionReferenceType.name',
          'defaultMessage': 'Reference type'
        }
      }),
      view: {
        type: TermPickerInput,
        props: {
          source: 'exhibitionreferencetype'
        }
      }
    })), _defineProperty(_exhibitionReferenceG, 'exhibitionReferenceNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionReferenceNote.name',
          'defaultMessage': 'Reference note'
        }
      }),
      view: {
        type: TextInput
      }
    })), _exhibitionReferenceG)), _exhibitionReferenceG2)), _defineProperty(_ns2Exhibitions_comm, 'exhibitionSectionGroupList', (_exhibitionSectionGro2 = {}, _defineProperty(_exhibitionSectionGro2, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionSectionGroupList.name',
          'defaultMessage': 'Exhibition sections'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_exhibitionSectionGro2, 'exhibitionSectionGroup', (_exhibitionSectionGro = {}, _defineProperty(_exhibitionSectionGro, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_exhibitionSectionGro, 'exhibitionSectionName', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionSectionName.name',
          'defaultMessage': 'Section'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_exhibitionSectionGro, 'exhibitionSectionLocation', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionSectionLocation.name',
          'defaultMessage': 'Location'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_exhibitionSectionGro, 'exhibitionSectionObjects', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionSectionObjects.name',
          'defaultMessage': 'Objects'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_exhibitionSectionGro, 'exhibitionSectionNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionSectionNote.name',
          'defaultMessage': 'Remarks'
        }
      }),
      view: {
        type: TextInput
      }
    })), _exhibitionSectionGro)), _exhibitionSectionGro2)), _defineProperty(_ns2Exhibitions_comm, 'exhibitionStatusGroupList', (_exhibitionStatusGrou2 = {}, _defineProperty(_exhibitionStatusGrou2, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionStatusGroupList.name',
          'defaultMessage': 'Exhibition status'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_exhibitionStatusGrou2, 'exhibitionStatusGroup', (_exhibitionStatusGrou = {}, _defineProperty(_exhibitionStatusGrou, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_exhibitionStatusGrou, 'exhibitionStatus', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionStatus.name',
          'defaultMessage': 'Status'
        }
      }),
      view: {
        type: TermPickerInput,
        props: {
          source: 'exhibitionstatus'
        }
      }
    })), _defineProperty(_exhibitionStatusGrou, 'exhibitionStatusDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionStatusDate.name',
          'defaultMessage': 'Status date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _defineProperty(_exhibitionStatusGrou, 'exhibitionStatusNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionSectionNote.name',
          'defaultMessage': 'Remarks'
        }
      }),
      view: {
        type: TextInput
      }
    })), _exhibitionStatusGrou)), _exhibitionStatusGrou2)), _defineProperty(_ns2Exhibitions_comm, 'exhibitionObjectGroupList', (_exhibitionObjectGrou2 = {}, _defineProperty(_exhibitionObjectGrou2, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionObjectGroupList.name',
          'defaultMessage': 'Object checklist'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_exhibitionObjectGrou2, 'exhibitionObjectGroup', (_exhibitionObjectGrou = {}, _defineProperty(_exhibitionObjectGrou, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectNumber', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionObjectNumber.name',
          'defaultMessage': 'Object'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectName', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionObjectName.name',
          'defaultMessage': 'Name'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectConsCheckDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionObjectConsCheckDate.name',
          'defaultMessage': 'Cons. check'
        }
      }),
      view: {
        type: DateInput
      }
    })), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectConsTreatment', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionObjectConsTreatment.name',
          'defaultMessage': 'Cons. treatment'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'exhibitionObjectConsTreatment'
        }
      }
    })), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectMount', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionObjectMount.name',
          'defaultMessage': 'Mount?'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'exhibitionObjectMount'
        }
      }
    })), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectSection', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionObjectSection.name',
          'defaultMessage': 'Section'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectCase', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionObjectCase.name',
          'defaultMessage': 'Case'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectSeqNum', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionObjectSeqNum.name',
          'defaultMessage': 'Seq. #'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectRotation', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionObjectRotation.name',
          'defaultMessage': 'Rotation'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_exhibitionObjectGrou, 'exhibitionObjectNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.exhibitions_common.exhibitionObjectNote.name',
          'defaultMessage': 'Note'
        }
      }),
      view: {
        type: TextInput
      }
    })), _exhibitionObjectGrou)), _exhibitionObjectGrou2)), _ns2Exhibitions_comm)), _document)
  };
};