'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (pluginContext) {
  return function (cspaceDocument) {
    var getPart = pluginContext.recordDataHelpers.getPart;
    var getDisplayName = pluginContext.refNameHelpers.getDisplayName;


    if (!cspaceDocument) {
      return '';
    }

    var common = getPart(cspaceDocument, 'intakes_common');

    if (!common) {
      return '';
    }

    var entryNumber = common.get('entryNumber');
    var currentOwner = getDisplayName(common.get('currentOwner'));

    return [entryNumber, currentOwner].filter(function (part) {
      return !!part;
    }).join(' – ');
  };
};