'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

var _cspaceRefname = require('cspace-refname');

var _formatHelpers = require('../../../helpers/formatHelpers');

exports.default = {
  default: [{
    name: 'loanOutNumber',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.loanout.default.loanOutNumber',
        'defaultMessage': 'Loan Out Number'
      }
    }),
    sortBy: 'loansout_common:loanOutNumber',
    width: 250
  }, {
    name: 'borrower',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.loanout.default.borrower',
        'defaultMessage': 'Borrower'
      }
    }),
    formatValue: function formatValue(value) {
      return (0, _cspaceRefname.getDisplayName)(value);
    },
    sortBy: 'loansout_common:borrower',
    width: 400
  }, {
    name: 'updatedAt',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.loanout.default.updatedAt',
        'defaultMessage': 'Updated'
      }
    }),
    formatValue: _formatHelpers.formatTimestamp,
    sortBy: 'collectionspace_core:updatedAt',
    width: 150
  }]
};