'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

var _cspaceRefname = require('cspace-refname');

var _formatHelpers = require('../../../helpers/formatHelpers');

exports.default = {
  default: [{
    name: 'exitNumber',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.objectexit.default.exitNumber',
        'defaultMessage': 'Exit number'
      }
    }),
    sortBy: 'objectexit_common:exitNumber',
    width: 200
  }, {
    name: 'currentOwner',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.objectexit.default.currentOwner',
        'defaultMessage': 'Current owner'
      }
    }),
    formatValue: function formatValue(value) {
      return (0, _cspaceRefname.getDisplayName)(value);
    },
    sortBy: 'objectexit_common:currentOwner',
    width: 450
  }, {
    name: 'updatedAt',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.objectexit.default.updatedAt',
        'defaultMessage': 'Updated'
      }
    }),
    formatValue: _formatHelpers.formatTimestamp,
    sortBy: 'collectionspace_core:updatedAt',
    width: 150
  }]
};