"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var template = function template(pluginContext) {
  var React = pluginContext.lib.React;
  var _pluginContext$layout = pluginContext.layoutComponents,
      Panel = _pluginContext$layout.Panel,
      Row = _pluginContext$layout.Row,
      Cols = _pluginContext$layout.Cols,
      Col = _pluginContext$layout.Col;
  var _pluginContext$record = pluginContext.recordComponents,
      Field = _pluginContext$record.Field,
      InputTable = _pluginContext$record.InputTable;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "info", collapsible: true },
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "exitNumber" }),
        React.createElement(Field, { name: "exitDateGroup" })
      ),
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "currentOwner" }),
        React.createElement(
          Cols,
          null,
          React.createElement(
            Col,
            null,
            React.createElement(
              Field,
              { name: "exitMethods", label: "" },
              React.createElement(Field, { name: "exitMethod" })
            )
          )
        )
      ),
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "depositor" }),
        React.createElement(Field, { name: "exitReason" })
      ),
      React.createElement(Field, { name: "exitNote" }),
      React.createElement(Field, { name: "packingNote" })
    ),
    React.createElement(
      Panel,
      { name: "deaccessionDisposalInfo", collapsible: true },
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "disposalNewObjectNumber" }),
        React.createElement(
          InputTable,
          null,
          React.createElement(Field, { name: "deaccessionAuthorizer" }),
          React.createElement(Field, { name: "authorizationDate" })
        )
      ),
      React.createElement(
        Field,
        { name: "deacApprovalGroupList", label: "" },
        React.createElement(
          Field,
          { name: "deacApprovalGroup" },
          React.createElement(Field, { name: "deaccessionApprovalGroup" }),
          React.createElement(Field, { name: "deaccessionApprovalStatus" }),
          React.createElement(Field, { name: "deaccessionApprovalDate" })
        )
      ),
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "deaccessionDate" }),
        React.createElement(Field, { name: "disposalDate" }),
        React.createElement(Field, { name: "disposalMethod" })
      ),
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "disposalReason" }),
        React.createElement(Field, { name: "disposalProposedRecipient" }),
        React.createElement(Field, { name: "disposalRecipient" })
      ),
      React.createElement(
        InputTable,
        null,
        React.createElement(Field, { name: "disposalCurrency" }),
        React.createElement(Field, { name: "disposalValue" })
      ),
      React.createElement(
        InputTable,
        null,
        React.createElement(Field, { name: "groupDisposalCurrency" }),
        React.createElement(Field, { name: "groupDisposalValue" })
      ),
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "disposalProvisos" }),
        React.createElement(Field, { name: "disposalNote" })
      )
    )
  );
};

exports.default = function (pluginContext) {
  return {
    template: template(pluginContext)
  };
};