'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (pluginContext) {
  return function (cspaceDocument) {
    var getPart = pluginContext.recordDataHelpers.getPart;
    var getDisplayName = pluginContext.refNameHelpers.getDisplayName;


    if (!cspaceDocument) {
      return '';
    }

    var common = getPart(cspaceDocument, 'objectexit_common');

    if (!common) {
      return '';
    }

    var exitNumber = common.get('exitNumber');
    var currentOwner = getDisplayName(common.get('currentOwner'));

    return [exitNumber, currentOwner].filter(function (part) {
      return !!part;
    }).join(' – ');
  };
};